<template>
  <div class="flex flex-col gap-4">

    <div
      class="flex flex-col gap-4 border-2 rounded-lg p-5 border-black"
      id="status-chip"
    >
      <p class="text-2xl">Svn Status Chip</p>
      <div class="w-full h-full flex items-center">
        <div class="grid grid-cols-4 gap-2">
          <svn-status-chip
            success
            dot
          />
          <svn-status-chip
            success
          />
          <svn-status-chip
            success
            flat
            dot
          />
          <svn-status-chip
            success
            flat
          />
          <svn-status-chip
            warning
            dot
          />
          <svn-status-chip
            warning
          />
          <svn-status-chip
            warning
            flat
            dot
          />
          <svn-status-chip
            warning
            flat
          />
          <svn-status-chip
            error
            dot
          />
          <svn-status-chip
            error
          />
          <svn-status-chip
            error
            flat
            dot
          />
          <svn-status-chip
            error
            flat
          />
          <svn-status-chip
            disabled
            dot
          />
          <svn-status-chip
            disabled
          />
          <svn-status-chip
            disabled
            flat
            dot
          />
          <svn-status-chip
            disabled
            flat
          />
          <svn-status-chip
            compact
            success
            dot
          />
          <svn-status-chip
            compact
            success
          />
          <svn-status-chip
            compact
            success
            flat
            dot
          />
          <svn-status-chip
            compact
            success
            flat
          />
          <svn-status-chip
            compact
            warning
            dot
          />
          <svn-status-chip
            compact
            warning
          />
          <svn-status-chip
            compact
            warning
            flat
            dot
          />
          <svn-status-chip
            compact
            warning
            flat
          />
          <svn-status-chip
            compact
            error
            dot
          />
          <svn-status-chip
            compact
            error
          />
          <svn-status-chip
            compact
            error
            flat
            dot
          />
          <svn-status-chip
            compact
            error
            flat
          />
          <svn-status-chip
            compact
            disabled
            dot
          />
          <svn-status-chip
            compact
            disabled
          />
          <svn-status-chip
            compact
            disabled
            flat
            dot
          />
          <svn-status-chip
            compact
            disabled
            flat
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>

import SvnStatusChip from "@/components/chip/SvnStatusChip.vue";
</script>

<style scoped>

</style>